CGLIBCoreMock
Date: 2015-09-15

org.jmock.cglib

## Class CGLIBCoreMock

- java.lang.Object
- - org.jmock.core.AbstractDynamicMock
  - - org.jmock.cglib.CGLIBCoreMock

- All Implemented Interfaces:
    net.sf.cglib.proxy.Callback, net.sf.cglib.proxy.MethodInterceptor, DynamicMock, Verifiable

      public class CGLIBCoreMock
      extends AbstractDynamicMock
      implements net.sf.cglib.proxy.MethodInterceptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CGLIBCoreMock(java.lang.Class mockedType, java.lang.String name)`
    `CGLIBCoreMock(java.lang.Class mockedType, java.lang.String name, java.lang.Class[] constructorArgumentTypes, java.lang.Object[] constructorArguments)`
    `CGLIBCoreMock(java.lang.Class mockedType, java.lang.String name, java.lang.Class[] constructorArgumentTypes, java.lang.Object[] constructorArguments, InvocationDispatcher invocationDispatcher)`
    `CGLIBCoreMock(java.lang.Class mockedType, java.lang.String name, InvocationDispatcher invocationDispatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `intercept(java.lang.Object thisProxy, java.lang.reflect.Method method, java.lang.Object[] args, net.sf.cglib.proxy.MethodProxy superProxy)`
    `java.lang.Object` | `proxy()`

    - ### Methods inherited from class org.jmock.core.AbstractDynamicMock

      `addInvokable, getMockedType, getMockName, mockInvocation, mockNameFromClass, reset, setDefaultStub, toString, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CGLIBCoreMock

          public CGLIBCoreMock(java.lang.Class mockedType,
                       java.lang.String name)

    - #### CGLIBCoreMock

          public CGLIBCoreMock(java.lang.Class mockedType,
                       java.lang.String name,
                       java.lang.Class[] constructorArgumentTypes,
                       java.lang.Object[] constructorArguments)

    - #### CGLIBCoreMock

          public CGLIBCoreMock(java.lang.Class mockedType,
                       java.lang.String name,
                       InvocationDispatcher invocationDispatcher)

    - #### CGLIBCoreMock

          public CGLIBCoreMock(java.lang.Class mockedType,
                       java.lang.String name,
                       java.lang.Class[] constructorArgumentTypes,
                       java.lang.Object[] constructorArguments,
                       InvocationDispatcher invocationDispatcher)

  - ### Method Detail

    - #### proxy

          public java.lang.Object proxy()

      Specified by:
        `proxy` in interface `DynamicMock`
      Specified by:
        `proxy` in class `AbstractDynamicMock`

    - #### intercept

          public java.lang.Object intercept(java.lang.Object thisProxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args,
                                   net.sf.cglib.proxy.MethodProxy superProxy)
                                     throws java.lang.Throwable

      Specified by:
        `intercept` in interface `net.sf.cglib.proxy.MethodInterceptor`
      Throws:
        `java.lang.Throwable`